aboutsummaryrefslogtreecommitdiff
path: root/api/tests/send_me_a_zchain_link.sh
diff options
context:
space:
mode:
authorkaotisk <kaotisk@arching-kaos.org>2023-03-31 21:34:47 +0300
committerkaotisk <kaotisk@arching-kaos.org>2023-03-31 21:34:47 +0300
commit52e61043bcb716af42f9fd167aa2bb280bde5b5b (patch)
tree5f8f2708bd6ac8da77d12872036d056ea80369fa /api/tests/send_me_a_zchain_link.sh
parent3023b8396d3656887a95f11e45da2e79406d64d1 (diff)
downloadarching-kaos-tools-52e61043bcb716af42f9fd167aa2bb280bde5b5b.tar.gz
arching-kaos-tools-52e61043bcb716af42f9fd167aa2bb280bde5b5b.tar.bz2
arching-kaos-tools-52e61043bcb716af42f9fd167aa2bb280bde5b5b.zip
Updated test scripts
Diffstat (limited to 'api/tests/send_me_a_zchain_link.sh')
-rwxr-xr-xapi/tests/send_me_a_zchain_link.sh33
1 files changed, 32 insertions, 1 deletions
diff --git a/api/tests/send_me_a_zchain_link.sh b/api/tests/send_me_a_zchain_link.sh
index 9820c7b..15bc2a0 100755
--- a/api/tests/send_me_a_zchain_link.sh
+++ b/api/tests/send_me_a_zchain_link.sh
@@ -1,3 +1,34 @@
#!/bin/bash
-printf "\n#TODO /szch endpoint\n"
+PROGRAM="$(basename $0)"
+printf '[%s]\n' "$PROGRAM"
+printf "TEST\t/szch\n"
# curl http://127.0.0.1:8610/v0/szch
+printf "\t01:\tendpoint with valid data"
+curl -POST http://localhost:8610/v0/szch --header 'Content-Type: application/json' --data-raw '{"zchain":"k51qzi5uqu5dgapvk7bhxmchuqya9immqdpbz0f1r91ckpdqzub63afn3d5apr"}' 2>/dev/null | jq -M -c > /dev/null
+if [ "$?" == "0" ]
+then
+ printf "\t\t\033[0;32mPASSED\033[0;0m"
+else
+ printf "\t\033[0;31mFAILED\033[0;0m"
+fi
+printf "\n"
+
+printf "\t02:\tendpoint with invalid data"
+curl -POST http://localhost:8610/v0/szch --header 'Content-Type: application/json' --data-raw '{"zchain":"k51qzi5uqu5dgapvk7bhxmchuqya9immqdpbz0f1r91ckpdqzub63afn3d5aar"}' 2>/dev/null | jq -M -c > /dev/null
+if [ "$?" == "0" ]
+then
+ printf "\t\t\033[0;32mPASSED\033[0;0m"
+else
+ printf "\t\033[0;31mFAILED\033[0;0m"
+fi
+printf "\n"
+
+printf "\t03:\tendpoint no data"
+curl -POST http://localhost:8610/v0/szch --header 'Content-Type: application/json' --data-raw '{"zchain":""}' 2>/dev/null | jq -M -c > /dev/null
+if [ "$?" == "0" ]
+then
+ printf "\t\t\033[0;32mPASSED\033[0;0m"
+else
+ printf "\t\033[0;31mFAILED\033[0;0m"
+fi
+printf "\n"